Bug 540411 - [ml_IN] KDE applications display is too small with smc-meera-fonts
[ml_IN] KDE applications display is too small with smc-meera-fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 05:44 EST by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for Lokalize with smc-meera-fonts (37.05 KB, image/png)
2009-11-23 05:44 EST, Ani Peter
no flags Details
Screenshot for Kate with smc-meera-fonts (59.49 KB, image/png)
2009-11-23 05:45 EST, Ani Peter
no flags Details
Screenshot of kwrite with gedit in Gnome Desktop (67.70 KB, image/png)
2011-08-19 02:03 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-4268 None None None Never
Qt Bug Tracker QTBUG-8642 None None None Never

  None (edit)
Description Ani Peter 2009-11-23 05:44:52 EST
Created attachment 373059 [details]
Screenshot for Lokalize with smc-meera-fonts

Description of problem:
Login to Malayalam (ml_IN) locale where smc-meera-fonts is the default font, the display of KDE applications like lokalize, kate etc looks very small when compared with other applications. Screenshot attached for lokalize and kate


Version-Release number of selected component (if applicable):
smc-meera-fonts-04.2-2.fc12

How reproducible:
Always


Steps to Reproduce:
1. Login to gnome desktop in Malayalam locale
2. Open any keda applications like lokalize, kate
3. Compare the font size of these applications with any others
  
Actual results:
Reproducing above steps, you can observe that the kde applications' size is small

Expected results:
The font size must be viewable enough or must be same like other applications
Comment 1 Ani Peter 2009-11-23 05:45:21 EST
Created attachment 373060 [details]
Screenshot for Kate with smc-meera-fonts
Comment 2 Pravin Satpute 2009-12-01 02:02:06 EST
this is not problem with Meera font but problem with fontconfig and KDE, somehow kde is not using fontconfig file, and thats why scaling of font is not happening correctly.
Comment 3 Praveen A 2010-03-02 01:28:41 EST
http://bugreports.qt.nokia.com/browse/QTBUG-8642 reported upstream.
Comment 4 Bug Zapper 2010-11-04 01:39:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ani Peter 2010-11-16 01:42:53 EST
I am afraid I didnt understand what information I should provide. Please help me to understand the requirement, so that I can provide the bug with the required information. Sorry if I missed anything! :(

Thanks
Ani
Comment 6 Kevin Kofler 2010-11-16 01:51:16 EST
Is this still broken in Fedora 13, 14 and/or Rawhide?
Comment 7 Ani Peter 2010-11-16 02:00:42 EST
Thanks Kevin. I shall revert by today COB.
Comment 8 Ani Peter 2010-11-16 08:39:06 EST
I confirm that the issue still exists and thus changed Fedora version to 14.

Thanks
Comment 9 A S Alam 2011-08-18 06:39:54 EDT
upstream issue is closed due to low number of vote. Please vote for following issue: https://bugreports.qt.nokia.com/browse/QTBUG-4268
Comment 10 Rex Dieter 2011-08-18 08:00:17 EDT
fyi, qt-4.6.3-6 included much-improved fontconfig support, see bug ##705348. 

Please do re-confirm issue remains before we poke upstream to furhter action.
Comment 11 Rex Dieter 2011-08-18 08:00:38 EDT
err, bug #705348 (to make autolinking work)
Comment 12 A S Alam 2011-08-19 02:03:23 EDT
Created attachment 518975 [details]
Screenshot of kwrite with gedit in Gnome Desktop

Still KDE application's fonts are small as compare to other application. Issue Exist in Fedora 16 with following packages:
kdebase-4.7.0-1.fc16.x86_64
qt-4.8.0-0.6.beta1.fc16.x86_64
Comment 13 Akira TAGOH 2011-12-05 06:19:28 EST
As per comment#12, moving to f16.
Comment 14 Fedora End Of Life 2013-01-16 17:15:37 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Pravin Satpute 2013-01-21 02:05:31 EST
smc-meera-fonts-5.0.1-4.fc18.noarch fonts does not using scaling rule anymore. So it should render same way as gnome in KDE.
Comment 16 Fedora End Of Life 2013-02-13 19:51:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Red Hat Bugzilla 2013-10-03 20:20:41 EDT
Removing external tracker bug with the id '8642' as it is not valid for this tracker
Comment 18 Red Hat Bugzilla 2013-10-03 20:20:47 EDT
Removing external tracker bug with the id '4268' as it is not valid for this tracker

Note You need to log in before you can comment on or make changes to this bug.